| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.ModelView.CellRendererProgress

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Attributes

Description

Renders numbers as progress bars

- Module available since Gtk+ version 2.6

Synopsis

data CellRendererProgress
class CellRendererClass o => CellRendererProgressClass o
castToCellRendererProgress :: GObjectClass obj => obj -> CellRendererProgress
toCellRendererProgress :: CellRendererProgressClass o => o -> CellRendererProgress
cellRendererProgressNew :: IO CellRendererProgress
cellProgressValue :: CellRendererProgressClass self => Attr self Int
cellProgressText :: CellRendererProgressClass self => Attr self (Maybe String)

Detail
`CellRendererProgress` renders a numeric value as a progress par in a cell. Additionally, it can display a text on top of the progress bar.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----CellRenderer
     |               +----CellRendererProgress

Types
data CellRendererProgress

Instances

GObjectClass CellRendererProgress
CellRendererProgressClass CellRendererProgress
CellRendererClass CellRendererProgress
ObjectClass CellRendererProgress

class CellRendererClass o => CellRendererProgressClass o

Instances

CellRendererProgressClass CellRendererProgress

castToCellRendererProgress :: GObjectClass obj => obj -> CellRendererProgress
toCellRendererProgress :: CellRendererProgressClass o => o -> CellRendererProgress
Constructors
cellRendererProgressNew :: IO CellRendererProgress
Creates a new `CellRendererProgress`.
Attributes
cellProgressValue :: CellRendererProgressClass self => Attr self Int
The "value" property determines the percentage to which the progress bar will be "filled in". Allowed values: `[0,100]` Default value: `0`
cellProgressText :: CellRendererProgressClass self => Attr self (Maybe String)
The `cellProgressText` attribute determines the label which will be drawn over the progress bar. Setting this property to `Nothing` causes the default label to be displayed. Setting this property to an empty string causes no label to be displayed. Default value: `Nothing`
Produced by Haddock version 2.4.2